## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname scp
%global pypi_name scp
%global forgeurl https://github.com/jbardin/scp.py

Name:    python-%{srcname}
Version: 0.14.5
%forgemeta
Release: %autorelease
Summary: Scp module for paramiko

# Automatically converted from old format: LGPLv2+ - review is highly recommended.
License: LicenseRef-Callaway-LGPLv2+
URL:     %{forgeurl}
Source0: %{forgesource}

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)

%global common_description %{expand:
The scp.py module uses a paramiko transport to send and receive files via the
scp1 protocol. This is the protocol as referenced from the openssh scp program,
and has only been tested with this implementation.
}

%description %{common_description}

%package -n python3-%{srcname}
Summary: %{summary}
%py_provides python%{python3_pkgversion}-%{srcname}
%description -n python%{python3_pkgversion}-%{srcname} %{common_description}

%prep
%forgeautosetup
%generate_buildrequires

%build
%py3_build

%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
## START: Generated by rpmautospec
* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 0.14.5-8
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.14.5-6
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.14.5-2
- Rebuilt for Python 3.12

* Thu Feb 09 2023 chedi toueiti <chedi.toueiti@gmail.com> - 0.14.5-1
- Update to version 0.14.5 (#2166120)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.14.4-2
- Rebuilt for Python 3.11

* Mon Feb 28 2022 chedi <chedi.toueiti@gmail.com> - 0.14.4-1
- update to version 0.14.4 (#2058419)

* Wed Feb 16 2022 chedi <chedi.toueiti@gmail.com> - 0.14.3-1
- update to version 0.14.3 (#2054836)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 17 2021 chedi <chedi.toueiti@gmail.com> - 0.14.2-1
- Update to version 0.14.2 (#2033432)

* Wed Sep 29 2021 chedi <chedi.toueiti@gmail.com> - 0.14.1-1
- Update to version 0.14.1 (#2003334)

* Thu Sep 09 2021 chedi <chedi.toueiti@gmail.com> - 0.14.0-1
- update to version 0.14.0

* Tue Aug 03 2021 chedi <chedi.toueiti@gmail.com> - 0.13.6-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
